INTERFACE
SUBROUTINE GRG_AK_OP(KDLEN,KLEN,KDCOUNT,CDPAR,KCOUNT,&
 & KAK,PWAK,PAPAK,PRESO,PRESH5,PRESF5,PXP5,PXPD5,YDGEMSPROF5,&
 & KDPP,PXGEMS,PNO25) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE PARCMA ,ONLY : JPMX_AK
USE YOMDIM , ONLY : NFLEVG ,NPPM
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KDCOUNT
CHARACTER(LEN=*) ,INTENT(IN) :: CDPAR
INTEGER(KIND=JPIM),INTENT(IN) :: KCOUNT(KDLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KAK(KDLEN,KDCOUNT)
REAL(KIND=JPRB) ,INTENT(IN) :: PWAK(KDLEN,KDCOUNT,JPMX_AK)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPAK(KDLEN,KDCOUNT,JPMX_AK)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESO(KDLEN,KDCOUNT,JPMX_AK)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PXP5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PXPD5(KDLEN,0:NFLEVG,NPPM)
TYPE (TYPE_GEMSPROF),INTENT(IN) :: YDGEMSPROF5(KDLEN,NGEMS)
INTEGER(KIND=JPIM),INTENT(IN) :: KDPP
REAL(KIND=JPRB) ,INTENT(OUT) :: PXGEMS(KDLEN,KDCOUNT,KDPP)
REAL(KIND=JPRB) ,INTENT(IN), OPTIONAL:: PNO25(KDLEN,0:NFLEVG)
END SUBROUTINE GRG_AK_OP
END INTERFACE
